apiVersion: argoproj.io/v1alpha1
kind: Application
metadata:
  name: heliocentric-model-no-pluto-app
  namespace: argocd
  finalizers:
    - resources-finalizer.argocd.argoproj.io
spec:
  project: default

  source:
    repoURL: https://gitlab.com/cristiano-rosa/argocd/gitops-argocd.git
    targetRevision: HEAD
    path: ./declarative/manifests/heliocentric-model-no-pluto
   
  destination:
    server: https://kubernetes.default.svc
    namespace: heliocentric-no-pluto

  syncPolicy:
    syncOptions:
      - CreateNamespace=true  
    automated:
      prune: true
      selfHeal: false
